<template>
  <form @submit.prevent="onSubmit()">
         
      <label for="name">Name:</label>
      <input type="text" name="name" id="name" v-model="dog.name">

      <label for="breed">Breed:</label>
      <input type="text" name="breed" id="breed" v-model="dog.breed">
      
      <label for="birthdate">Birthdate:</label>
      <input type="date" name="birthdate" id="birthdate" v-model="dog.birthdate">

      <button>Submit</button>
  </form>
</template>

<script>
export default {
    data: () => ({
        dog: {
            id: null,
            name: '',
            breed: '',
            birthdate: ''
        }
    }),
    methods: {
        onSubmit() {
            this.$emit('formSubmit', this.dog);
        }
    }

}
</script>

<style>

</style>